For the complete documentation index, see llms.txt. This page is also available as Markdown.

List Subscriptions

List all client metrics subscriptions on a virtual cluster.

Lists every client metrics subscription configured on a virtual cluster.

Requires admin or read-only permissions.

Request

curl https://api.warpstream.com/api/v1/list_client_metrics_subscriptions \
-H 'warpstream-api-key: XXXXXXXXXX' \
-H 'Content-Type: application/json' \
-d '{"virtual_cluster_id": "vci_1d4930d7_8e6d_4ad9_b27a_654ed4aaa3ee"}'

Response

{
  "subscriptions": [
    {
      "name": "staging-producers",
      "interval_ms": 30000,
      "metrics": "org.apache.kafka.producer.node.request.latency",
      "match": "client_id=staging-.*"
    },
    {
      "name": "all-clients",
      "interval_ms": 60000,
      "metrics": "",
      "match": ""
    }
  ]
}

Last updated

Was this helpful?